%define upstream_name 	 File-MimeInfo
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	Determine file type
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/P/PA/PARDUS/%{upstream_name}/%{upstream_name}-%{upstream_version}.tar.bz2

%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-File-BaseDir
BuildRequires:	perl(Module::Build)
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}

%description
This module can be used to determine the mime type of a file; it's a 
replacement for File::MMagic trying to implement the freedesktop 
specification for using the shared mime-info database. The package
comes with a script called 'mimetype' that can be used as a file(1)
work-alike.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%_bindir/*
%{perl_vendorlib}/File
%{_mandir}/*/*


%changelog
* Fri Oct 09 2009 Michael Scherer <misc@mandriva.org> 0.150.0-3mdv2010.0
+ Revision: 456256
- rebuild
- rebuild for new perl, to fix #53541

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.0
+ Revision: 405983
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.15-3mdv2009.1
+ Revision: 351749
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.15-2mdv2009.0
+ Revision: 223752
- rebuild

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2008.1
+ Revision: 168829
- update to new version 0.15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Michael Scherer <misc@mandriva.org> 0.14-1mdv2008.0
+ Revision: 46595
- 0.14

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.13-2mdv2008.0
+ Revision: 23409
- rebuild


* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.13-1mdk
- 0.13

* Mon Oct 10 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdk
- new version 
- %%mkrel
- fix directory ownership
- spec cleanup

* Fri Apr 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.11-1mdk
- 0.11

* Tue Aug 31 2004 Michael Scherer <misc@mandrake.org> 0.10-2mdk 
- add missing BuildRequires

* Tue Aug 24 2004 Michael Scherer <misc@mandrake.org> 0.10-1mdk 
- First Mandrakelinux package

